let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const deleteAisleApi = async (aisleUuid: string, projectId: string, versionId: string) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/V1/DeleteAisle`, {
            method: "PATCH",
            headers: {
                Authorization: "Bearer <access_token>",
                "Content-Type": "application/json",
                token: localStorage.getItem("token") || "",
                refresh_token: localStorage.getItem("refreshToken") || "",
            },
            body: JSON.stringify({ aisleUuid, projectId, versionId }),
        });
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }
        if (!response.ok) {
            echo.error("Failed to delete aisle");
        }

        const result = await response.json();
        return result;
    } catch {
        echo.error("Failed to delete aisle");
    }
};
